package cn.com.taiji.beidou.ship.archives.service;


import cn.com.taiji.beidou.ship.archives.domain.*;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/8 19:14
 */
public interface ShipArchivesService{

    List<ShipArchivesData> findShipList(ShipArchivesREQ req);

    /**
     * 船只详情
     * @param devideNo
     * @return
     */
    ShipArchivesData findShipById(String devideNo);

    /**
     * 处置详情
     * @param warningId
     * @return
     */
    ShipDisposeResult selectDisposeById(String devideNo, String warningId);

    /**
     *船舶档案统计
     * @param deptId
     * @return
     */
    ShipArchivesTotal getShipTotal(String deptId,String speed);


}
